fr.enssat.BoulderDash.helpers

## Class LevelLoadHelper

- java.lang.Object
- - fr.enssat.BoulderDash.helpers.LevelLoadHelper

    public class LevelLoadHelper
    extends java.lang.Object

LevelLoadHelper Proceeds level load routine Able to deserialize level data from storage, and format it to internal representation To be used as a data factory from level model classes

Since:
  2015-06-19
Author:
  Valerian Saliou <valerian@valeriansaliou.name>

### Constructor Summary

Constructors
Constructor and Description
`LevelLoadHelper(java.lang.String levelId)` Class constructor

### Method Summary

Methods
`java.util.Date` `getDateCreatedValue()` Gets the creation date value
`java.util.Date` `getDateModifiedValue()` Gets the modified date value
`int` `getDiamondsToCatch()` Gets the number of Diamonds to catch
`DisplayableElementModel[][]` `getGroundGrid()` Gets the ground grid
`int` `getHeightSizeValue()` Gets the height size value
`java.lang.String` `getLevelId()` Gets the level identifier
`java.lang.String` `getNameValue()` Gets the name value
`RockfordModel` `getRockfordInstance()` Gets the instance of Rockford
`int` `getRockfordPositionX()` Gets the horizontal position of the Rockford element
`int` `getRockfordPositionY()` Gets the vertical position of the Rockford element
`int` `getWidthSizeValue()` Gets the width size value
`void` `setDiamondsToCatch(int diamondsToCatch)` Sets the number of Diamonds to catch
`void` `setRockfordInstance(RockfordModel rockfordInstance)` Sets the instance of Rockford
`void` `setRockfordPositionX(int x)` Sets the horizontal position of the Rockford element
`void` `setRockfordPositionY(int y)` Sets the vertical position of the Rockford element

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LevelLoadHelper

    public LevelLoadHelper(java.lang.String levelId)

Class constructor

Parameters:
  `levelId` - Level identifier

### Method Detail

#### getLevelId

    public java.lang.String getLevelId()

Gets the level identifier

Returns:
  Level identifier

#### getNameValue

    public java.lang.String getNameValue()

Gets the name value

Returns:
  Name value

#### getDateCreatedValue

    public java.util.Date getDateCreatedValue()

Gets the creation date value

Returns:
  Creation date value

#### getDateModifiedValue

    public java.util.Date getDateModifiedValue()

Gets the modified date value

Returns:
  Modified date value

#### getWidthSizeValue

    public int getWidthSizeValue()

Gets the width size value

Returns:
  Width size value

#### getHeightSizeValue

    public int getHeightSizeValue()

Gets the height size value

Returns:
  Height size value

#### getRockfordPositionX

    public int getRockfordPositionX()

Gets the horizontal position of the Rockford element

Returns:
  Horizontal position of the Rockford element

#### setRockfordPositionX

    public void setRockfordPositionX(int x)

Sets the horizontal position of the Rockford element

Parameters:
  `x` - Horizontal position of the Rockford element

#### getRockfordPositionY

    public int getRockfordPositionY()

Gets the vertical position of the Rockford element

Returns:
  Vertical position of the Rockford element

#### setRockfordPositionY

    public void setRockfordPositionY(int y)

Sets the vertical position of the Rockford element

Parameters:
  `y` - Vertical position of the Rockford element

#### getRockfordInstance

    public RockfordModel getRockfordInstance()

Gets the instance of Rockford

Returns:
  Rockford instance

#### setRockfordInstance

    public void setRockfordInstance(RockfordModel rockfordInstance)

Sets the instance of Rockford

Parameters:
  `rockfordInstance` - Rockford instance

#### getGroundGrid

    public DisplayableElementModel[][] getGroundGrid()

Gets the ground grid

Returns:
  Ground grid

#### getDiamondsToCatch

    public int getDiamondsToCatch()

Gets the number of Diamonds to catch

Returns:
  number of Diamonds to catch

#### setDiamondsToCatch

    public void setDiamondsToCatch(int diamondsToCatch)

Sets the number of Diamonds to catch

Parameters:
  `diamondsToCatch` -